import es
import playerlib
import usermsg

info = es.AddonInfo() 
info.name     = "Founder Connect" 
info.version  = "1.0" 
info.url      = "http://addons.eventscripts.com/addons/view/" 
info.basename = "FounderConnect" 
info.author   = "Dr. Cherrys" 
es.ServerVar('FounderConnect_Ver', info.version, 'Founder Connect Version').makepublic()

#####################
######EDIT HERE######
#####################

# Add all owners in this format
# {'STEAM ID':'Founders Name'}
# if multiple founders, seperate with a comma
# {'1st STEAM ID':'1st Founders Name', '2nd STEAM ID':'2nd Founders Name'}

founders = {'STEAM_0:1:9827083':'Dr. Cherrys'}

#####################
#####################
#####################

def load():
    es.msg('#multi', '#default[#green[HHR] Founder Connect#default] #lightgreenLoaded Successfully')

def unload():
    es.msg('#multi', '#default[#green[HHR] Founder Connect#default] #lightgreenUnloaded Successfully')

def player_activate(ev):
    userid = ev['userid']
    steamid = es.getplayersteamid(userid)
    if steamid in founders:
        es.msg('#multi', '#default[#green[HHR] Founder#default] #default%s#lightgreen Has Joined the Game' % founders[steamid])
        usermsg.shake("#all", 10, 1)

def player_disconnect(ev):
    steamid = ev['networkid']
    if steamid in founders:
        es.msg('#multi', '#default[#green[HHR] Founder#default] #default%s#lightgreen Has Left the Game' % founders[steamid])
	usermsg.shake("#all", 10, 1)